- API
- Upload Server
GET
https://send.now/api/upload/server?key=key
| Parameters |
Description |
Example |
Format |
Required |
| key |
API-Key |
1ltghrilhllgrx2b2 |
STRING |
yes |
cURL example
curl --include \
'https://send.now/api/upload/server?key=1ltghrilhllgrx2b2'
Response
{
"result": "https://u7134.send.now/cgi-bin/upload.cgi",
"sess_id": "ynfejiddf0grvip0",
"msg": "OK",
"status": 200,
"server_time": "2024-08-01 17:56:21"
}
Upload file
curl https://u7134.send.now/cgi-bin/upload.cgi \
-F "sess_id=ynfejiddf0grvip0" \
-F "utype=prem" \
-F "file_0=@/data/file_to_upload.zip"
Response
[
{
"file_code": "ryubs29xm03k",
"file_status": "OK"
}
]
Download link
https://send.cm/ryubs29xm03k
Status code
| 200 |
Everything is OK. Request succeeded |
| 400 |
Bad request (e.g. wrong parameters) |
| 403 |
Permission denied |
| 404 |
File not found |
| 451 |
Unavailable
|